# Changelog

All notable changes to this project will be documented in this file.

## [0.1.2] - 2024-10-22

### 🐛 Bug Fixes

- *(deps)* Update module github.com/hashicorp/go-plugin to v1.6.2
- *(deps)* Update module gitlab.com/unboundsoftware/sloth/model to v0.1.2

### ⚙️ Miscellaneous Tasks

- Use custom release notes
- Add CHANGES.md and VERSION to .gitignore

## [0.1.1] - 2024-10-17

### 🐛 Bug Fixes

- *(deps)* Update module github.com/stretchr/testify to v1.9.0
- *(deps)* Update module github.com/hashicorp/go-hclog to v1.6.3
- *(deps)* Update module github.com/hashicorp/go-plugin to v1.6.1
- *(deps)* Update module gitlab.com/unboundsoftware/sloth/model to v0.1.1

### 💼 Other

- *(deps)* Bump github.com/hashicorp/go-plugin from 1.5.2 to 1.6.0
- *(deps)* Bump github.com/hashicorp/go-hclog from 1.5.0 to 1.6.1
- *(deps)* Bump github.com/hashicorp/go-hclog from 1.6.1 to 1.6.2

### ⚙️ Miscellaneous Tasks

- Update goreleaser image to v2.3.1
- Add Unbound Release in tag-only mode

### 🛡️ Security

- *(deps)* [security] bump golang.org/x/net from 0.11.0 to 0.17.0
- *(deps)* [security] bump google.golang.org/grpc

## [0.1.0] - 2023-10-12

### 🚀 Features

- Move to hashicorp/go-plugin

### 💼 Other

- *(deps)* Bump github.com/alecthomas/kong from 0.6.1 to 0.7.0
- *(deps)* Bump github.com/alecthomas/kong from 0.7.0 to 0.7.1
- *(deps)* Bump github.com/alecthomas/kong from 0.7.1 to 0.8.0
- *(deps)* Bump github.com/alecthomas/kong from 0.8.0 to 0.8.1

### ⚙️ Miscellaneous Tasks

- Use Docker DinD version from variable
- Switch to manual rebases for Dependabot
- Update to Go 1.20
- Check goreleaser config and do a dry run

## [0.0.12] - 2022-07-20

### 💼 Other

- *(deps)* Bump gitlab.com/unboundsoftware/sloth/model

## [0.0.11] - 2022-06-17

### 🐛 Bug Fixes

- Use logger directly

### 💼 Other

- *(deps)* Bump github.com/alecthomas/kong from 0.5.0 to 0.6.0
- *(deps)* Bump github.com/alecthomas/kong from 0.6.0 to 0.6.1
- *(deps)* Bump gitlab.com/unboundsoftware/apex-mocks

## [0.0.10] - 2022-04-28

### 💼 Other

- Update to Go 1.18
- *(deps)* Bump github.com/sanity-io/litter from 1.5.4 to 1.5.5

## [0.0.9] - 2022-01-28

### 🐛 Bug Fixes

- Failing tests

### ⚙️ Miscellaneous Tasks

- Add dependabot config
- Order and group imports
- Change to codecov binary instead of bash uploader

## [0.0.8] - 2021-07-22

### ⚙️ Miscellaneous Tasks

- Update to latest version of goreleaser

## [0.0.7] - 2021-04-01

### ⚙️ Miscellaneous Tasks

- Upgrade goreleaser to fix Gitlab upload issue

## [0.0.6] - 2021-03-02

### 🐛 Bug Fixes

- Ignore coverage-files

### ⚙️ Miscellaneous Tasks

- Add unit tests
- Set fixed version of goreleaser and add some logging

## [0.0.5] - 2021-01-19

### ⚙️ Miscellaneous Tasks

- Switch to JSON-logging and log a little more info

## [0.0.4] - 2021-01-14

### 🐛 Bug Fixes

- Add error handling to WalkFunc

## [0.0.3] - 2021-01-14

### 🐛 Bug Fixes

- Enable CGO

## [0.0.2] - 2021-01-13

### ⚙️ Miscellaneous Tasks

- Update API, deps and add logging

## [0.0.1] - 2021-01-13

### 🚀 Features

- Initial commit

### ⚙️ Miscellaneous Tasks

- Add goreleaser

<!-- generated by git-cliff -->
